using System;
using System.Collections;

using CMS.GlobalHelper;
using CMS.UIControls;
using CMS.CMSHelper;

public partial class CMSSiteManager_Support_support : SiteManagerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Initialize page

        // Setup page title text and image
        this.CurrentMaster.Title.TitleText = ResHelper.GetString("Header.Support");
        this.CurrentMaster.Title.TitleImage = GetImageUrl("CMSModules/CMS_Support/Module.png");

        ArrayList parametersRow = new ArrayList();
        object[] row;

        // Start filling arraylists
        row = new object[5];
        row[0] = GetImageUrl("CMSModules/CMS_Support/DevnetLarge.png");
        row[1] = ResHelper.GetString("Support-LeftMenu.DevNet");
        row[2] = "http://www.kentico.com/DevNet.aspx";
        row[3] = ResHelper.GetString("Support-LeftMenu.DevNetDescription");
        row[4] = ValidationHelper.GetCodeName(row[1]);
        parametersRow.Add(row);

        row = new object[5];
        row[0] = GetImageUrl("CMSModules/CMS_Support/SubmitIssueLarge.png");
        row[1] = ResHelper.GetString("Support-LeftMenu.SubmitIssue");
        row[2] = "SubmitIssue.aspx?siteid=" + Request.QueryString["siteid"];
        row[3] = ResHelper.GetString("Support-LeftMenu.SubmitIssueDescription");
        row[4] = ValidationHelper.GetCodeName(row[1]);
        parametersRow.Add(row);

        row = new object[5];
        row[0] = GetImageUrl("General/HelpLarge.png");
        row[1] = ResHelper.GetString("General.Documentation");
        row[2] = "http://devnet.kentico.com/Documentation/" + CMSContext.SYSTEM_VERSION.Replace(".", "_") + ".aspx";
        row[3] = ResHelper.GetString("Support-LeftMenu.DocumentationDescription");
        row[4] = ValidationHelper.GetCodeName(row[1]);
        parametersRow.Add(row);

        // Initialize guide
        Guide.Columns = 2;
        Guide.Parameters = parametersRow;
    }
}
